package com.philisense.www.exception;

/**
 * 工具类异常
 * 
 * @author
 */
public class UtilsException extends RuntimeException {

    private static final long serialVersionUID = 8247610319171014183L;

    private Integer status;

    public UtilsException(Throwable e) {
        super(e.getMessage(), e);
    }

    public UtilsException(String message) {
        super(message);
    }

    public UtilsException(String message, Integer status) {
        super(message);
        this.status = status;
    }

    public UtilsException(String message, Throwable throwable) {
        super(message, throwable);
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
